Bug 511917 - Add lshw
Summary: Add lshw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lshw
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juha Tuomala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-15 16:43 UTC by Juha Tuomala
Modified: 2009-08-05 17:20 UTC (History)
2 users (show)

Fixed In Version: B.02.12.01-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-05 17:20:13 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Juha Tuomala 2009-07-15 16:43:17 UTC
Description of problem:
I need lshw in EPEL, do you want to package it or should i take care of it?

Comment 1 Juha Tuomala 2009-07-15 16:58:55 UTC
f10.src.rpm koji results in dist-5E-epel target:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1476599

Comment 2 Juha Tuomala 2009-07-15 17:11:30 UTC
x86_64 cli version appears to work fine.

Comment 3 Terje Røsten 2009-07-15 20:20:37 UTC
> I need lshw in EPEL, do you want to package it or should i take care of it?  

I don't do EPEL packages of any package at the moment.


> or should i take care of it? 

Yes, please :-)


 - Terje

Comment 4 Juha Tuomala 2009-07-16 07:57:30 UTC
(In reply to comment #3)
> > I need lshw in EPEL, do you want to package it or should i take care of it?  
> > or should i take care of it? 
> 
> Yes, please :-)

Okay :)

Package Change Request
======================
Package Name: lshw
New Branches: EL-4 EL-5
Owners: terjeros tuju

Comment 5 Juha Tuomala 2009-07-16 08:04:11 UTC
One thing what needs to be resolved, that how can we prevent that sub-package from appearing in EPEL? I really don't think it's worth of dragging all those gui dependencies into server platform, especially when all changes in the future should be kept in minimal. 

http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies
> have a mostly stable set of packages that normally does not change 
> at all and only changes if there are good reasons for changes.

sure the gui stuff remains as such too, but perhaps we could do some %if magic in spec for EL versions? What do you think?

Comment 6 Jason Tibbitts 2009-07-17 15:26:08 UTC
CVS done.

Comment 7 Fedora Update System 2009-07-20 12:02:44 UTC
lshw-B.02.12.01-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/lshw-B.02.12.01-1.el5

Comment 8 Fedora Update System 2009-07-20 16:57:09 UTC
lshw-B.02.12.01-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lshw'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0105

Comment 9 Juha Tuomala 2009-07-20 17:30:03 UTC
(In reply to comment #6)
> CVS done.  

Tibbs, btw, did you notice that cvs request was for EL-4 too?

Comment 10 Kevin Fenzi 2009-07-26 19:47:22 UTC
cvs done.

Comment 11 Fedora Update System 2009-08-05 17:20:08 UTC
lshw-B.02.12.01-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.